import 'package:Intaleq/constant/colors.dart';
import 'package:Intaleq/constant/style.dart';
// ignore: unused_import
import 'package:Intaleq/controller/functions/launch.dart';
import 'package:Intaleq/views/widgets/my_scafold.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_font_icons/flutter_font_icons.dart';
import 'package:get/get.dart';

import '../../../controller/functions/tts.dart';
import '../../../controller/home/contact_us_controller.dart';

class ContactUsPage extends StatelessWidget {
  ContactUsPage({super.key});

  @override
  Widget build(BuildContext context) {
    Get.put(ContactUsController());
    return GetBuilder<ContactUsController>(builder: (controller) {
      return MyScafolld(
          title: "Contact Us".tr,
          body: [
            Padding(
              padding: const EdgeInsets.all(8.0),
              child: ListView(
                // crossAxisAlignment: CrossAxisAlignment.center,
                // mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  Container(
                    decoration: AppStyle.boxDecoration1,
                    child: Column(
                      children: [
                        ClipRRect(
                            borderRadius: BorderRadius.circular(15),
                            child: Image.asset('assets/images/logo.gif')),
                        IconButton(
                          onPressed: () async {
                            Get.put(TextToSpeechController()).speakText(
                                'Intaleq is the safest and most reliable ride-sharing app designed especially for passengers in Syria. We provide a comfortable, respectful, and affordable riding experience with features that prioritize your safety and convenience. Our trusted captains are verified, insured, and supported by regular car maintenance carried out by top engineers. We also offer on-road support services to make sure every trip is smooth and worry-free. With Intaleq, you enjoy quality, safety, and peace of mind—every time you ride.'
                                    .tr);
                          },
                          icon: const Icon(Icons.headphones),
                        ),
                        Padding(
                          padding: const EdgeInsets.all(8.0),
                          child: Text(
                            'Intaleq is the safest and most reliable ride-sharing app designed especially for passengers in Syria. We provide a comfortable, respectful, and affordable riding experience with features that prioritize your safety and convenience. Our trusted captains are verified, insured, and supported by regular car maintenance carried out by top engineers. We also offer on-road support services to make sure every trip is smooth and worry-free. With Intaleq, you enjoy quality, safety, and peace of mind—every time you ride.'
                                .tr,
                            style: AppStyle.title,
                            textAlign: TextAlign.center,
                          ),
                        ),
                      ],
                    ),
                  ),
                  const SizedBox(
                    height: 30,
                  ),
                  Container(
                    decoration: AppStyle.boxDecoration1,
                    child: Padding(
                      padding: const EdgeInsets.all(8.0),
                      child: Text(
                        "You can contact us during working hours from 10:00 - 16:00."
                            .tr,
                        style: AppStyle.title,
                        textAlign: TextAlign.center,
                      ),
                    ),
                  ),
                  InkWell(
                    onTap: () => controller.showContactDialog(context),
                    child: const Row(
                      mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                      children: [
                        Icon(
                          Icons.phone,
                          color: AppColor.blueColor,
                        ),
                        Icon(
                          FontAwesome.whatsapp,
                          color: AppColor.greenColor,
                        ),
                        Icon(
                          Icons.email,
                          color: AppColor.redColor,
                        ),
                      ],
                    ),
                  ),
                  const SizedBox(
                    height: 30,
                  )
                ],
              ),
            )
          ],
          isleading: true);
    });
  }
}
